C-------------------------------------------------------------------C
C Write the keypad help message.                                    C
C-------------------------------------------------------------------C
       Subroutine WritHelp
       Implicit Integer*4 (A - Z)
       Character*1 Com
       Character*60 Sym
       Character*132 OneLine
       Include 'common.include'
       Character*3 Graph,ASCII
       Character*4 Nvid,Rvid
C-------------------------------------------------------------------C
100      Graph = Char(27)//'(0'  ! graphics mode
         ASCII = Char(27)//'(B'  ! ASCII character mode
         Nvid  = Char(27)//'[0m' ! normal video
         Rvid  = Char(27)//'[7m' ! reverse video
         Call Lib$Erase_Page(1,1)
         Call Writel(LargeScreen, 1, 1)
         OneLine = Graph//'lqqqqqqqwqqqqqqqwqqqqqqqwqqqqqqqk   '

        
         Call Writel(OneLine, 1, 1)
         OneLine = Graph//'x'//Rvid//'       '//Nvid//'x       xFIND NX'
     -   //'x EXIT  x   '


         Call WriteL(OneLine, 2, 1)
         OneLine =  Graph//'x'//Rvid//' GOLD  '//Nvid//'x HELP  x       
     -x       x   '

         Call WriteL(OneLine, 3, 1)
         OneLine = Graph//'x'//Rvid//'       '//Nvid//'x       x'//Rvid/
     -/' FIND  '//Nvid//'x       x   '

         Call WriteL(OneLine, 4, 1)
         OneLine = Graph//'tqqqqqqqnqqqqqqqnqqqqqqqnqqqqqqqu   '
         Call WriteL(OneLine, 5, 1)
         OneLine = Graph//'x       x PAGE  x       x TOP OFx   '

         Call WriteL(OneLine, 6, 1)
         Oneline = Graph//'x       x   8   x       x SCREENx   '
         Call WriteL(OneLine, 7, 1)
         Oneline = Graph//'x'//Rvid//'  DCL  '//Nvid//'x       x       x
     -       x   '

         Call WriteL(OneLine, 8, 1)
         Oneline = Graph//'tqqqqqqqnqqqqqqqnqqqqqqqnqqqqqqqu   '
         Call WriteL(OneLine, 9, 1)
         Oneline = Graph//'xADVANCEx BACKUPx       x END OFx   '

         Call WriteL(OneLine, 10, 1)
         Oneline = Graph//'x   4   x   5   x       x SCREENx   '

         Call WriteL(OneLine, 11, 1)
         Oneline = Graph//'x'//Rvid//' BOTTOM'//Nvid//'x'//Rvid//'  TOP 
     - '//Nvid//'x       x       x   '

         Call WriteL(OneLine, 12, 1)
         Oneline = Graph//'tqqqqqqqnqqqqqqqnqqqqqqqnqqqqqqqu   '

         Call WriteL(OneLine, 13, 1)
         Oneline =  Graph//'x       x       x       x       x   '
         Call WriteL(OneLine, 14, 1)
         Oneline = Graph//'x       x SHOW  x  POP  x       x   '

         Call WriteL(OneLine, 15, 1)
         Oneline = Graph//'x       x   2   x   3   x       x   '

         Call WriteL(OneLine, 16, 1)
         Oneline = Graph//'tqqqqqqqvqqqqqqqnqqqqqqqu       x   '
         Call WriteL(OneLine, 17, 1)
         Oneline = Graph//'x    1 LINE     x       x       x   '
         Call WriteL(OneLine, 18, 1)
         Oneline = Graph//'x               x       x       x   '
         Call WriteL(OneLine, 19, 1)
         Oneline = Graph//'x               x       x       x   '
         Call WriteL(OneLine, 20, 1)
         Oneline = Graph//'mqqqqqqqqqqqqqqqvqqqqqqqvqqqqqqqj'
         Call WriteL(OneLine, 21, 1)

C234567
	oneline =
     -	ASCII//Rvid//' GOLD  '//Nvid//' - 2nd functions '
	call writel( oneline, 1, 37)
	oneline =
     - 	ASCII//'HELP    - Display this Screen'
	call writel( oneline, 2, 37)
	oneline =
     - 	ASCII//'FIND NX - Find next occurence of string'
	call writel( oneline, 3, 37)
	oneline =
     - 	Rvid//' FIND  '//Nvid//ASCII//' - Find string'
	call writel( oneline, 4, 37)
	oneline =
     - 	ASCII//'PAGE    - Page in current direction'
	call writel( oneline, 6, 37)
	oneline =
     -	ASCII//Rvid//'  DCL  '//Nvid//' - One DCL Command'
	call writel( oneline, 7, 37)
	oneline =
     -	ASCII//'ADVANCE - Advance thru file'
	call writel( oneline, 9, 37)
	oneline =
     -	ASCII//Rvid//' BOTTOM'//Nvid//' - Go to bottom of file'
	call writel( oneline, 10, 37)
	oneline =
     -	ASCII//'BACKUP  - Backup '
	call writel( oneline, 11, 37)
	oneline =
     -	ASCII//Rvid//'  TOP  '//Nvid//' - Go to top of file'
	call writel( oneline, 12, 37)
	oneline =
     -	ASCII//'POP     - go up one dir'
	call writel( oneline, 13, 37)
	oneline =
     -	ASCII//'SHOW    - file or dir '
	call writel( oneline, 14, 37)

         call writel('1 LINE  - Move 1 line up or down.', 15, 37)
         call writel('          Also space bar, zero, and return.', 
     -     16, 37)
         call writel('-/=     - Move up one line', 17, 37)
         call writel('Gold m  - Calls DEC mail.', 18, 37)
         call writel('Gold d  - dir/full <file>.'  , 19, 37)
         call writel('Gold s  - sfo <file>.',        20, 37)
         call writel('Gold e  - eve <file>. ',        21, 37)

         Oneline = '    Enter ''M'' for more help, ' 
     -//'any other key to continue.'

         call writel(OneLine, 24, 1)
         Call Get1Char(Com, 0)
         If ((Com .EQ. 'M') .OR. (Com .EQ. 'm')) then
           Call Help
           Call Get1Char(Com, 0)
         End If
         If ((Com .EQ. 'M') .OR. (Com .Eq. 'm')) Goto 100
         call writel(SmallScreen,24,10)
         Call Write24
         CMD = ' '
       Return
       End
C-----------------------------------------------------------------C
C Help Utility:                                                   C
C Print the help message on the CRT.                              C
C-----------------------------------------------------------------C
       Subroutine Help
       Implicit Integer*4 (A - Z)
       Include 'common.include'
C-------------------------------------------------------------------C
       Call Lib$Erase_Page(1,1)
       Print *, BRIGHT//'  Directory Management Single Letter Commands:'
       Print *, dull//'A/Z - Go to top/bottom of screen'
       print *,       'T/U - Tag a file - Used in D, C and P Commands'
       Print *,       'M/L - Show more/less file information '
       Print *, 'I  -  Show file information for one file'
       print *, 'W  -  Select a wildcard for file display'
       Print *, 'Q  -  Quit - Exit to starting place'
       Print *, 'X  -  Quit to last directory'
       Print *, 'R  -  Rename - Prompts for new file name'
       Print *, 'V  -  View either a file or a directory'
       Print *, 'E  -  Edit - Edt editor called.'
       Print *, 'F  -  FMS commands accepted.'
       Print *, '$  -  Spawn DCL command.'
       Print *, '%  -  Leave DMM and run DCL command, then reenter DMM.'
       Print *, '@  -  Envoke COM file.'
       Print *, 'G  -  Purge - Purge "This Directory"'
       Print *, 'D  -  Delete - File(s) or Dir(s)'
       Print *, 'P  -  Print - File(s) to default printer'
       Print *, 'C  -  Copy - Prompts for file to copy into'
       print *
       Print *, 'Enter ''M'' for more help, another key to continue.'
       Return
       End

